summaryrefslogtreecommitdiffstats
path: root/mining/user
diff options
context:
space:
mode:
authoruser <user@bergwerk>2011-07-08 05:41:00 +0000
committeruser <user@bergwerk>2011-07-08 05:41:00 +0000
commitf0fee525ea1df6c8009f7f953b7c4a9a31f54529 (patch)
treefc179fa52f2cc445c86793d30019c31abef6435b /mining/user
parentfc6549a5d73b68a380cf87b18b16fd09bc2667e8 (diff)
add mining/user/bin/ensure-router
Diffstat (limited to 'mining/user')
-rwxr-xr-xmining/user/bin/ensure-router25
1 files changed, 25 insertions, 0 deletions
diff --git a/mining/user/bin/ensure-router b/mining/user/bin/ensure-router
new file mode 100755
index 00000000..987ed5b1
--- /dev/null
+++ b/mining/user/bin/ensure-router
@@ -0,0 +1,25 @@
+#! /bin/sh
+
+if test "${nosudo-false}" != true -a `id -u` != 0; then
+ echo "we're going sudo..." >&2
+ exec sudo "$0" "$@"
+ exit 23 # go to hell
+fi
+
+if=eth2
+
+if ! ifconfig $if | grep -q 'inet addr'; then
+ beep -l 50 -f 2500; ifconfig $if 0.0.0.0 down || :
+ beep -l 50 -f 2500; ifconfig $if 23.0.0.1/8 up || :
+ beep -l 50 -f 2500; /etc/init.d/dnsmasq restart
+ if ifconfig $if | grep -q 'inet addr'; then
+ beep -l 50 -f 2500 -n -l 100 -f 3000
+ else
+ beep -l 50 -f 2500 -n -l 100 -f 1000
+ fi
+else
+ case "${1-}" in
+ (--quiet) : ;;
+ (*) beep -l 50 -f 2500 -n -l 100 -f 2500 ;;
+ esac
+fi